Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.ttf
Class TTFTable

    java.lang.Object
      org.pdfbox.ttf.TTFTable

Direct Known Subclasses:
  CMAPTable, DigitalSignatureTable, GlyphTable, HeaderTable, HorizontalHeaderTable, HorizontalMetricsTable, IndexToLocationTable, MaximumProfileTable, NamingTable, OS2WindowsMetricsTable, PostScriptTable

public class TTFTable
extends Object

A table in a true type font.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`TTFTable()`

Method Summary
`long` | `getCheckSum()`
`long` | `getLength()`
`long` | `getOffset()`
`String` | `getTag()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setCheckSum(long checkSumValue)`
`void` | `setLength(long lengthValue)`
`void` | `setOffset(long offsetValue)`
`void` | `setTag(String tagValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TTFTable

    public TTFTable()

Method Detail

### getCheckSum

    public long getCheckSum()

  Returns:
    Returns the checkSum.

### setCheckSum

    public void setCheckSum(long checkSumValue)

  Parameters:
    `checkSumValue` - The checkSum to set.

### getLength

    public long getLength()

  Returns:
    Returns the length.

### setLength

    public void setLength(long lengthValue)

  Parameters:
    `lengthValue` - The length to set.

### getOffset

    public long getOffset()

  Returns:
    Returns the offset.

### setOffset

    public void setOffset(long offsetValue)

  Parameters:
    `offsetValue` - The offset to set.

### getTag

    public String getTag()

  Returns:
    Returns the tag.

### setTag

    public void setTag(String tagValue)

  Parameters:
    `tagValue` - The tag to set.

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD